Unit tests for Feature 10910
[osm/NBI.git] / requirements.txt
1 # Copyright 2018 Telefonica S.A.
2 #
3 # Licensed under the Apache License, Version 2.0 (the "License");
4 # you may not use this file except in compliance with the License.
5 # You may obtain a copy of the License at
6 #
7 #    http://www.apache.org/licenses/LICENSE-2.0
8 #
9 # Unless required by applicable law or agreed to in writing, software
10 # distributed under the License is distributed on an "AS IS" BASIS,
11 # WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
12 # implied.
13 # See the License for the specific language governing permissions and
14 # limitations under the License.
15
16
17 aiohttp==3.6.2
18     # via -r requirements.in
19 async-timeout==3.0.1
20     # via aiohttp
21 attrs==21.4.0
22     # via
23     #   aiohttp
24     #   jsonschema
25 certifi==2021.10.8
26     # via requests
27 chardet==3.0.4
28     # via aiohttp
29 charset-normalizer==2.0.12
30     # via requests
31 cheroot==8.6.0
32     # via cherrypy
33 cherrypy==18.6.1
34     # via -r requirements.in
35 debtcollector==2.5.0
36     # via
37     #   oslo.config
38     #   oslo.utils
39     #   python-keystoneclient
40 deepdiff==5.7.0
41     # via -r requirements.in
42 idna==3.3
43     # via
44     #   requests
45     #   yarl
46 importlib-resources==5.6.0
47     # via
48     #   jaraco.text
49     #   jsonschema
50 iso8601==1.0.2
51     # via
52     #   keystoneauth1
53     #   oslo.utils
54 jaraco.classes==3.2.1
55     # via jaraco.collections
56 jaraco.collections==3.5.1
57     # via cherrypy
58 jaraco.context==4.1.1
59     # via jaraco.text
60 jaraco.functools==3.5.0
61     # via
62     #   cheroot
63     #   jaraco.text
64     #   tempora
65 jaraco.text==3.7.0
66     # via jaraco.collections
67 jsonschema==4.4.0
68     # via -r requirements.in
69 keystoneauth1==4.5.0
70     # via python-keystoneclient
71 more-itertools==8.12.0
72     # via
73     #   cheroot
74     #   cherrypy
75     #   jaraco.classes
76     #   jaraco.functools
77 msgpack==1.0.3
78     # via oslo.serialization
79 multidict==4.7.6
80     # via
81     #   aiohttp
82     #   yarl
83 netaddr==0.8.0
84     # via
85     #   oslo.config
86     #   oslo.utils
87 netifaces==0.11.0
88     # via oslo.utils
89 ordered-set==4.0.2
90     # via deepdiff
91 os-service-types==1.7.0
92     # via keystoneauth1
93 oslo.config==8.8.0
94     # via python-keystoneclient
95 oslo.i18n==5.1.0
96     # via
97     #   oslo.config
98     #   oslo.utils
99     #   python-keystoneclient
100 oslo.serialization==4.3.0
101     # via python-keystoneclient
102 oslo.utils==4.12.2
103     # via
104     #   oslo.serialization
105     #   python-keystoneclient
106 packaging==21.3
107     # via oslo.utils
108 pbr==5.8.1
109     # via
110     #   keystoneauth1
111     #   os-service-types
112     #   oslo.i18n
113     #   oslo.serialization
114     #   oslo.utils
115     #   python-keystoneclient
116     #   stevedore
117 portend==3.1.0
118     # via cherrypy
119 pyparsing==3.0.7
120     # via
121     #   oslo.utils
122     #   packaging
123 pyrsistent==0.18.1
124     # via jsonschema
125 python-keystoneclient==4.4.0
126     # via -r requirements.in
127 pytz==2022.1
128     # via
129     #   oslo.serialization
130     #   oslo.utils
131     #   tempora
132 pyyaml==5.4.1
133     # via
134     #   -r requirements.in
135     #   oslo.config
136 requests==2.27.1
137     # via
138     #   -r requirements.in
139     #   keystoneauth1
140     #   oslo.config
141     #   python-keystoneclient
142 rfc3986==2.0.0
143     # via oslo.config
144 six==1.16.0
145     # via
146     #   cheroot
147     #   keystoneauth1
148     #   python-keystoneclient
149     #   tacacs-plus
150 stevedore==3.5.0
151     # via
152     #   keystoneauth1
153     #   oslo.config
154     #   python-keystoneclient
155 tacacs_plus==2.6
156     # via -r requirements.in
157 tempora==5.0.1
158     # via portend
159 urllib3==1.26.9
160     # via requests
161 wrapt==1.14.0
162     # via debtcollector
163 yarl==1.7.2
164     # via aiohttp
165 zc.lockfile==2.0
166     # via cherrypy
167 zipp==3.8.0
168     # via importlib-resources
169
170 # The following packages are considered to be unsafe in a requirements file:
171 # setuptools